Package xml :: Package etree :: Module ElementTree

[hide private]
[frames] | no frames]

# Module ElementTree

source code

hash(x)

Classes | [hide private]

| Element
| ElementTree
| ParseError
| QName
| TreeBuilder
| XMLParser
| XMLTreeBuilder
| _Element
| _ElementInterface
| _IterParseIterator
| _SimpleElementPath

Functions | [hide private]

Comment(text=None) | source code

PI(target, text=None) | source code

ProcessingInstruction(target, text=None) | source code

SubElement(parent, tag, attrib=`{``}`, **extra) | source code

XML(text, parser=None) | source code

XMLID(text, parser=None) | source code

_encode(text, encoding) | source code

_escape_attrib(text, encoding) | source code

_escape_attrib_html(text, encoding) | source code

_escape_cdata(text, encoding) | source code

_namespaces(elem, encoding, default_namespace=None) | source code

_raise_serialization_error(text) | source code

_serialize_html(write, elem, encoding, qnames, namespaces) | source code

_serialize_text(write, elem, encoding) | source code

_serialize_xml(write, elem, encoding, qnames, namespaces) | source code

dump(elem) | source code

fromstring(text, parser=None) | source code

fromstringlist(sequence, parser=None) | source code

iselement(element) | source code

iterparse(source, events=None, parser=None) | source code

parse(source, parser=None) | source code

register_namespace(prefix, uri) | source code

tostring(element, encoding=None, method=None) | source code

tostringlist(element, encoding=None, method=None) | source code

Variables | [hide private]

| HTML_EMPTY = ``set([``'``area``'``,` `'``base``'``,` `'``basefont``'``,` `'``br``'``,` `'``col``'``,` `'``fr``...``
| VERSION = ``'``1.3.0``'``
| __package__ = ``'``xml.etree``'``
| _namespace_map = ``{``'``http://purl.org/dc/elements/1.1/``'``:` `'``dc``'``,` `'``h``...``
| _sentinel = ``[``'``sentinel``'``]``
| _serialize = ``{``'``html``'``:` <__builtin__.function object>`,` `'``text``'``:` <`...``

Variables Details | [hide private]

### HTML_EMPTY

Value:

      set(['area',
           'base',
           'basefont',
           'br',
           'col',
           'frame',
           'hr',
           'img',
      ...

### _namespace_map

Value:

      {'http://purl.org/dc/elements/1.1/': 'dc',
       'http://schemas.xmlsoap.org/wsdl/': 'wsdl',
       'http://www.w3.org/1999/02/22-rdf-syntax-ns#': 'rdf',
       'http://www.w3.org/1999/xhtml': 'html',
       'http://www.w3.org/2001/XMLSchema': 'xs',
       'http://www.w3.org/2001/XMLSchema-instance': 'xsi',
       'http://www.w3.org/XML/1998/namespace': 'xml'}

### _serialize

Value:

      {'html': <__builtin__.function object>,
       'text': <__builtin__.function object>,
       'xml': <__builtin__.function object>}